Bug 13290 - Add better feedback for returns to the checkouts table
Summary: Add better feedback for returns to the checkouts table
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11703 13286
Blocks: 13495
  Show dependency treegraph
 
Reported: 2014-11-18 18:29 UTC by Kyle M Hall
Modified: 2015-12-03 22:02 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13290 - Add better feedback for returns to the checkouts table (2.28 KB, patch)
2014-11-18 18:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13290 - Add better feedback for returns to the checkouts table (2.35 KB, patch)
2014-11-20 19:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13290 - Add better feedback for returns to the checkouts table (2.36 KB, patch)
2014-12-04 13:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13290 - Add better feedback for returns to the checkouts table (2.43 KB, patch)
2014-12-04 15:32 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 13290 - Add better feedback for returns to the checkouts table (2.47 KB, patch)
2014-12-08 16:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 13290 - Add better feedback for returns to the checkouts table (2.34 KB, patch)
2014-12-27 17:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-11-18 18:29:57 UTC
The feedback given when returning an item is only to update the "Check in" column. It would be nice if the entire column was highlighted in some way so librarians have an easier time spotting which items were checked in and which ones failed to be checked in.
Comment 1 Kyle M Hall 2014-11-18 18:31:56 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-11-18 19:31:53 UTC
I suggest that when an item is successfully checked in the data in the "date due" column be updated too. Perhaps repeat "Returned" there? Or perhaps "Available?"
Comment 3 Kyle M Hall 2014-11-20 19:34:07 UTC
(In reply to Owen Leonard from comment #2)
> I suggest that when an item is successfully checked in the data in the "date
> due" column be updated too. Perhaps repeat "Returned" there? Or perhaps
> "Available?"

I like 'returned' since we can't be sure it's available.
Comment 4 Kyle M Hall 2014-11-20 19:58:58 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2014-11-20 19:59:48 UTC
Updated patch to change the due date to "Returned". Patch now depends on bug 13286 which adds a span to each of the due dates in the checkouts table.
Comment 6 Christopher Brannon 2014-12-01 17:59:52 UTC
While this patch applies the highlighting to all items returned at the same time, it only changes the due date in the due date column on the last item in the list.  The due date of all other items returned at the same time are left as due dates.

Christopher
Comment 7 Kyle M Hall 2014-12-04 13:59:41 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2014-12-04 14:00:08 UTC
Fixed!

(In reply to Christopher Brannon from comment #6)
> While this patch applies the highlighting to all items returned at the same
> time, it only changes the due date in the due date column on the last item
> in the list.  The due date of all other items returned at the same time are
> left as due dates.
> 
> Christopher
Comment 9 Christopher Brannon 2014-12-04 15:30:35 UTC
Would like to see more specific reason for not being able to return, but that is for another ticket.  Works as described.  Nice work.

Christopher
Comment 10 Christopher Brannon 2014-12-04 15:32:40 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2014-12-08 16:31:45 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2014-12-08 16:33:55 UTC
Maybe a more explicit class name could have been chosen :)
Comment 13 Owen Leonard 2014-12-09 15:58:19 UTC
The standard term in the default English templates is "checked in," not "returned."
Comment 14 Katrin Fischer 2014-12-27 17:36:12 UTC
While Owen is right about the convention to use the term "Checked in", we already display "Returned" at the end of the table.

I think we should fix this, but separate from this patch.
Comment 15 Katrin Fischer 2014-12-27 17:36:55 UTC
Created attachment 34728 [details] [review]
[PASSED QA] Bug 13290 - Add better feedback for returns to the checkouts table

The feedback given when returning an item is only to update the "Check
in" column. It would be nice if the entire column was highlighted in
some way so librarians have an easier time spotting which items were
checked in and which ones failed to be checked in.

Test Plan:
1) Apply this patch
2) Browse to a patron with checkouts
3) Return an item using the checkouts table
4) Note if the return was successful, the row is highlighted in
   yellow, if the return was not allowed, the row is highlighted
   in red.

Signed-off-by: Christopher Brannon <cbrannon@cdalibary.org>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Tomás Cohen Arazi 2015-01-15 00:38:44 UTC
Patch pushed to master.

Thanks Kyle!
Comment 17 Chris Cormack 2015-01-18 02:25:18 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 18 Chris Cormack 2015-01-18 02:28:22 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 19 Mason James 2015-01-22 05:46:35 UTC
Pushed to 3.16.x, patch will be in 3.16.7